*,
*::after,
*::before {
	box-sizing: border-box;
	margin: 0px;
	padding: 0px;
	font-weight: normal;
}

@font-face {
	font-family: InterThin;
	src: url("../fonts/Inter-Thin.ttf");
}
@font-face {
	font-family: InterRegular;
	src: url("../fonts/Inter-Regular.ttf");
}
@font-face {
	font-family: InterMedium;
	src: url("../fonts/Inter-Medium.ttf");
}
@font-face {
	font-family: InterBold;
	src: url("../fonts/Inter-Bold.ttf");
}
@font-face {
	font-family: InterVeryBold;
	src: url("../fonts/Inter-ExtraBold.ttf");
}

body,
button {
	font-family: InterRegular;
}

body {
	background: #fafafa;
}

.thin {
	font-family: InterThin;
}
.medium {
	font-family: InterMedium;
}
.bold {
	font-family: InterBold;
}
.bolder {
	font-family: InterVeryBold;
}

/* margins */
.mx-auto {
	margin: auto;
}
.ma {
	margin: 0.5rem;
}
.ma-1 {
	margin: 1rem;
}
.ma-2 {
	margin: 2rem;
}
.mt {
	margin-top: 0.5rem;
}
.mt-1 {
	margin-top: 1rem;
}
.mt-2 {
	margin-top: 2rem;
}
.mb {
	margin-bottom: 0.5rem;
}
.mb-1 {
	margin-bottom: 1rem;
}
.mb-2 {
	margin-bottom: 2rem;
}
.ml {
	margin-left: 0.5rem;
}
.ml-1 {
	margin-left: 1rem;
}
.ml-2 {
	margin-left: 2rem;
}
.mr {
	margin-right: 0.5rem;
}
.mr-1 {
	margin-right: 1rem;
}
.mr-2 {
	margin-right: 2rem;
}
.ml-auto {
	margin-left: auto;
}
.mr-auto {
	margin-right: auto;
}

/* paddings */
.p-auto {
	padding: auto;
}
.pa {
	padding: 0.5rem;
}
.pa-1 {
	padding: 1rem;
}
.pa-2 {
	padding: 2rem;
}
.pt {
	padding-top: 0.5rem;
}
.pt-1 {
	padding-top: 1rem;
}
.pt-2 {
	padding-top: 2rem;
}
.pb {
	padding-bottom: 0.5rem;
}
.pb-1 {
	padding-bottom: 1rem;
}
.pb-2 {
	padding-bottom: 2rem;
}
.pl {
	padding-left: 0.5rem;
}
.pl-1 {
	padding-left: 1rem;
}
.pl-2 {
	padding-left: 2rem;
}
.pr {
	padding-right: 0.5rem;
}
.pr-1 {
	padding-right: 1rem;
}
.pr-2 {
	padding-right: 2rem;
}

/* flex */
.flex,
.flex-row {
	width: 100%;
	height: 100%;
	display: flex;
}
.flex-col {
	display: flex;
	flex-direction: column;
}
.flex-center {
	display: flex;
	justify-content: center;
	align-items: center;
}
.flex-start {
	display: flex;
	justify-content: center;
	align-items: flex-start;
}
.flex-end {
	display: flex;
	justify-content: center;
	align-items: flex-end;
}
.item-start {
	align-self: start !important;
}
.item-end {
	align-self: end !important;
}

/* width and height */
.w-full {
	width: 100%;
}
.h-full {
	height: 100%;
}

.w-screen {
	width: 100vw;
}
.h-screen {
	height: 100vh;
}

/* position */
.relative {
	position: relative;
}
.absolute {
	position: absolute;
}

/* z-index */
.z-0 {
	z-index: 0;
}
.z-10 {
	z-index: 10;
}
.z-50 {
	z-index: 50;
}
.z-100 {
	z-index: 100;
}
.z-infinite {
	z-index: 99999;
}

/* link */
a {
	text-decoration: none;
	color: unset;
}

/* Text */
.fs {
	font-size: 1rem;
}
.fs7 {
	font-size: 0.7rem;
}
.fs8 {
	font-size: 0.8rem;
}
.fs9 {
	font-size: 0.9rem;
}
.fs15 {
	font-size: 1.5rem;
}
.fs17 {
	font-size: 1.7rem;
}
.fs20 {
	font-size: 2rem;
}
.no-select {
	user-select: none;
	-moz-user-select: none;
	-webkit-user-select: none;
}

/* display */
.d-none {
	display: none;
}
.d-block {
	display: block;
}
.d-inline {
	display: inline;
}
.d-inline-block {
	display: inline-block;
}

/* overflow */
.overflew-hidden {
	overflow: hidden;
}
.overflew-scroll {
	overflow-y: scroll;
}
